Package com.pixelmed.convert

# Class TIFFImageFileDirectoryEntry

java.lang.Object
com.pixelmed.convert.TIFFImageFileDirectoryEntry

public class TIFFImageFileDirectoryEntry extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected long`
`numberOfValues`
`protected int`
`tagIdentifier`
`protected int`
`tagType`
`protected TIFFValues`
`values`

## Constructor Summary

Constructors
Constructor
Description
`TIFFImageFileDirectoryEntry(int tagIdentifier, int tagType, long numberOfValues, TIFFValues values)`

## Method Summary

Modifier and Type
Method
Description
`long`
`getNumberOfValues()`
`int`
`getTagIdentifier()`
`int`
`getTagType()`
`TIFFValues`
`getValues()`
`static TIFFImageFileDirectoryEntry`
`readBigIFDEntry(TIFFFile f)`
`static TIFFImageFileDirectoryEntry`
`readClassicIFDEntry(TIFFFile f)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### tagIdentifier

protected int tagIdentifier

### tagType

protected int tagType

### numberOfValues

protected long numberOfValues

### values

protected TIFFValues values

## Constructor Details

### TIFFImageFileDirectoryEntry

public TIFFImageFileDirectoryEntry(int tagIdentifier, int tagType, long numberOfValues, TIFFValues values)

## Method Details

### getTagIdentifier

public int getTagIdentifier()

### getTagType

public int getTagType()

### getNumberOfValues

public long getNumberOfValues()

### getValues

public TIFFValues getValues()

### readBigIFDEntry

public static TIFFImageFileDirectoryEntry readBigIFDEntry(TIFFFile f) throws EOFException, IOException, TIFFException

Throws:
  `EOFException`
  `IOException`
  `TIFFException`

### readClassicIFDEntry

public static TIFFImageFileDirectoryEntry readClassicIFDEntry(TIFFFile f) throws EOFException, IOException, TIFFException

Throws:
  `EOFException`
  `IOException`
  `TIFFException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`